zh_fn = 'typed_triples_tacl.json'
en_fn = 'ns_typed_triples_tacl.json'

out_fp = open('WN_typed_triples_tacl.json', 'w', encoding='utf8')

total_num_lines = 0

for fn in [zh_fn, en_fn]:
	cur_num_lines = 0
	with open(fn, 'r', encoding='utf8') as fp:
		for lidx, line in enumerate(fp):
			if lidx % 200000 == 0:
				print(lidx)
			out_fp.write(line.strip()+'\n')
			total_num_lines += 1
			cur_num_lines += 1
	print(f"{fn}: number of lines: {cur_num_lines}!")

print(f"Total number of lines from two files: {total_num_lines}!")

out_fp.close()
print("Finished!")